- name: Add Docker repository
  become: yes
  deb822_repository:
    name: docker
    types: deb
    uris: https://download.docker.com/linux/debian
    suites: bookworm
    components: stable
    signed_by: https://download.docker.com/linux/debian/gpg
    state: present
    enabled: yes

- name: Install packages
  become: yes
  apt:
    state: latest
    update_cache: true
    install_recommends: false
    name:
      - docker-ce
      - docker-ce-cli
      - containerd.io
      - docker-buildx-plugin
      - docker-compose-plugin